Bug 181976 - [maintainer-update] Fix build for games/bzflag on 10.0-CURRENT
[maintainer-update] Fix build for games/bzflag on 10.0-CURRENT
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Ruslan Makhmatkhanov
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-10 01:00 UTC by Kevin Zheng
Modified: 2013-09-10 23:40 UTC (History)
0 users

See Also:


Attachments
file.diff (1.02 KB, patch)
2013-09-10 01:00 UTC, Kevin Zheng
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Zheng 2013-09-10 01:00:00 UTC
The following build failures were reported by pkg-fallout:
http://beefy2.isc.freebsd.org/bulk/head-default/2013-09-04_22h17m34s/logs/bzflag-2.4.2_2.log
http://beefy1.isc.freebsd.org/bulk/head-default/2013-09-04_23h56m58s/logs/bzflag-2.4.2_2.log

Clang/LLVM did not accept the default constructor. The fix was obtained and back-ported from the upstream repo.

This patch has been tested to work on 8.4-RELEASE and 9.2-RC3, but has NOT been tested on 10.0-CURRENT (due to Redports issues). Please test this patch on a FreeBSD 10 machine to make sure this works.

Fix: Apply the attached patch.

Patch attached with submission follows:
Comment 1 Ruslan Makhmatkhanov freebsd_committer 2013-09-10 23:03:43 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rm

I will take it.
Comment 2 dfilter freebsd_committer 2013-09-10 23:31:49 UTC
Author: rm
Date: Tue Sep 10 22:31:42 2013
New Revision: 326935
URL: http://svnweb.freebsd.org/changeset/ports/326935

Log:
  - add upstream patch to fix build on -CURRENT
  
  PR:		181976
  Submitted by:	Kevin Zheng <kevinz5000@gmail.com> (maintainer)

Added:
  head/games/bzflag/files/
  head/games/bzflag/files/patch-include_VotingArbiter.h   (contents, props changed)

Added: head/games/bzflag/files/patch-include_VotingArbiter.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/bzflag/files/patch-include_VotingArbiter.h	Tue Sep 10 22:31:42 2013	(r326935)
@@ -0,0 +1,20 @@
+--- ./include/VotingArbiter.h.orig	2012-07-16 03:32:02.000000000 +0400
++++ ./include/VotingArbiter.h	2013-09-11 02:18:23.000000000 +0400
+@@ -230,12 +230,11 @@
+ 
+ };
+ 
+-
+-inline VotingArbiter::VotingArbiter(unsigned short int voteTime=60,
+-				    unsigned short int vetoTime=20,
+-				    unsigned short int votesRequired=2,
+-				    float votePercentage=50.1,
+-				    unsigned short int voteRepeatTime=300)
++inline VotingArbiter::VotingArbiter(unsigned short int voteTime,
++				    unsigned short int vetoTime,
++				    unsigned short int votesRequired,
++				    float votePercentage,
++				    unsigned short int voteRepeatTime)
+   : _votingBooth(NULL),
+     _maxVotes(votesRequired+1),
+     _voteTime(voteTime),
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Ruslan Makhmatkhanov freebsd_committer 2013-09-10 23:31:54 UTC
State Changed
From-To: open->closed

Committed, thank you!